diff -u -r Common.orig/config/js/config.js Common/config/js/config.js
--- Common.orig/config/js/config.js	2012-11-22 21:32:48.000000000 +0900
+++ Common/config/js/config.js	2012-11-23 01:49:46.000000000 +0900
@@ -27,6 +27,7 @@
 	$(function(){
 		param.page = $.query.get('page') || param.page;
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.websocket.connect('config_'+(new Date().getTime()), function(){
 			jn.temp.started = true;
 			jn.getConfig(function(){
@@ -45,6 +46,7 @@
 									cf.dispLoading(false);
 									_bootflg = true;
 									jn.onInitializeDone && jn.onInitializeDone();
+									console.log('janet.onInitializeDone() is done.');
 									jn.temp.initialized = true;
 								});
 								cf.buildBasic();
diff -u -r Common.orig/js/janet/api.js Common/js/janet/api.js
--- Common.orig/js/janet/api.js	2012-11-22 21:32:48.000000000 +0900
+++ Common/js/janet/api.js	2012-11-23 00:32:32.000000000 +0900
@@ -154,6 +154,7 @@
 					jn.error && jn.error("Configuration cannot get.");
 				}
 				jn.onGetConfig && jn.onGetConfig(success, data);
+				console.log('janet.getConfig() is done.');
 			},
 			timeout: 500
 		},10);
@@ -169,6 +170,7 @@
 			done: function(success, _data, status){
 				done && done(success, _data, status);
 				jn.onSetConfig && jn.onSetConfig(success, data);
+				console.log('janet.setConfig() is done.');
 			},
 			timeout: 30000,
 		});
@@ -211,8 +213,10 @@
 				// 2012/09/04 @ginlime
 				// jn.onGetMessages を done の前に移動し、jn.onGetMessagesDone を追加
 				jn.onGetMessages && jn.onGetMessages(success, data);
+				console.log('janet.getMessages() is ...');
 				done && done(jn.msg);
 				jn.onGetMessagesDone && jn.onGetMessagesDone(success, data);
+				console.log('janet.getMessages() is done.');
 			}
 		});
 	};
@@ -246,6 +250,7 @@
 				}
 				done && done(jn.accounts);
 				jn.onGetAccounts && jn.onGetAccounts(success, data);
+				console.log('janet.getAccounts() is done.');
 			}
 		});
 	};
@@ -269,6 +274,7 @@
 				}
 				done && done(jn.timelines);
 				jn.onLoadTimelines && jn.onLoadTimelines(success, data);
+				console.log('janet.loadTimelines() is done.');
 			},
 			timeout: 10000,
 		},15);
@@ -302,6 +308,7 @@
 				}
 				done && done(jn.timelines);
 				jn.onGetTimelines && jn.onGetTimelines(success, data);
+				console.log('janet.getTimelines() is done.');
 			},
 			timeout: 3000
 		}, 1000);
@@ -368,6 +375,7 @@
 				}
 				done && done(jn.lists);
 				jn.onGetLists && jn.onGetLists(success, data);
+				console.log('janet.getLists() is done.');
 			}
 		});
 	};
diff -u -r Common.orig/js/janet/contextmenu.js Common/js/janet/contextmenu.js
--- Common.orig/js/janet/contextmenu.js	2012-11-22 21:32:48.000000000 +0900
+++ Common/js/janet/contextmenu.js	2012-11-23 00:44:16.000000000 +0900
@@ -150,6 +150,7 @@
 			options.children('li:not([action="trends"])').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuOptionsBuildStarted && jn.onContextMemuOptionsBuildStarted(accounts);
+			console.log('janet.contextMenu.buildOptionsMenu() is started.');
 			if(jn.accounts.length>1){
 				options.children('li[action="profile"]')
 					.append(accountssubmenu.clone())
@@ -198,6 +199,7 @@
 			all.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuAllBuildStarted && jn.onContextMemuAllBuildStarted(accounts);
+			console.log('janet.contextMenu.buildAllMenu() is started.');
 			if(jn.accounts.length>1){
 				all.children('li[action="favorite"]')
 					.append(accountssubmenu.clone())
@@ -252,6 +254,7 @@
 			tweet.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuGearBuildStarted && jn.onContextMemuGearBuildStarted(accounts);
+			console.log('janet.contextMenu.buildGearMenu() is started.');
 			if(jn.accounts.length>1){
 				tweet.children('li[action="favorite"]')
 					.append(accountssubmenu.clone())
@@ -312,6 +315,7 @@
 			reply.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuReplyBuildStarted && jn.onContextMemuReplyBuildStarted(accounts);
+			console.log('janet.contextMenu.buildReplyMenu() is started.');
 			$().jeegoocontext('contextmenu-reply', {
 				onShow: jn.contextMenu.onShowReply,
 				onSelect: jn.contextMenu.onSelectReply
@@ -360,6 +364,7 @@
 			fav.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuFavBuildStarted && jn.onContextMemuFavBuildStarted(accounts);
+			console.log('janet.contextMenu.buildFavMenu() is started.');
 			if(jn.accounts.length>1){
 				fav.children('li[action="favorite"]')
 					.append(accountssubmenu.clone())
@@ -425,6 +430,7 @@
 			rt.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuRTBuildStarted && jn.onContextMemuRTBuildStarted(accounts);
+			console.log('janet.contextMenu.buildRTMenu() is started.');
 			if(jn.accounts.length>1){
 				rt.children('li[action="retweet"]')
 					.append(accountssubmenu.clone())
@@ -464,6 +470,7 @@
 			atUser.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuAtUserBuildStarted && jn.onContextMemuAtUserBuildStarted(accounts);
+			console.log('janet.contextMenu.buildAtUserMenu() is started.');
 			atUser.children('li[action="mute"]')
 				.append(mutesubmenu.clone());
 			$().jeegoocontext('contextmenu-user', {
@@ -508,6 +515,7 @@
 			.append(accountssubmenu.children('li').clone());
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuSelectAccountBuildStarted && jn.onContextMemuSelectAccountBuildStarted(accounts);
+			console.log('janet.contextMenu.buildSelectAccountMenu() is started.');
 			$().jeegoocontext('contextmenu-account', {
 				onShow: jn.contextMenu.onShowSelectAccount,
 				onSelect: jn.contextMenu.onSelectSelectAccount
@@ -545,6 +553,7 @@
 			tl.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuTimeLineBuildStarted && jn.onContextMemuTimeLineBuildStarted(accounts);
+			console.log('janet.contextMenu.buildTimeLineMenu() is started.');
 			if(jn.accounts.length>1){
 				tl.children('li[action="savesearch"]')
 				.append(accountssubmenu.clone())
@@ -656,6 +665,7 @@
 			linkItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuLinkBuildStarted && jn.onContextMemuLinkBuildStarted(accounts);
+			console.log('janet.contextMenu.buildLinkMenu() is started.');
 			$().jeegoocontext('contextmenu-link', {
 				onShow: jn.contextMenu.onShowLink,
 				onSelect: jn.contextMenu.onSelectLink
@@ -689,6 +699,7 @@
 			selectText.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuSelectTextBuildStarted && jn.onContextMemuSelectTextBuildStarted(accounts);
+			console.log('janet.contextMenu.buildSelectTextMenu() is started.');
 			$().jeegoocontext('contextmenu-selecttext', {
 				onShow: jn.contextMenu.onShowSelectText,
 				onSelect: jn.contextMenu.onSelectSelectText,
@@ -735,6 +746,7 @@
 			hashItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuHashBuildStarted && jn.onContextMemuHashBuildStarted(accounts);
+			console.log('janet.contextMenu.buildHashMenu() is started.');
 			$().jeegoocontext('contextmenu-hash', {
 				onShow: jn.contextMenu.onShowHash,
 				onSelect: jn.contextMenu.onSelectHash
@@ -770,6 +782,7 @@
 			viaItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuViaBuildStarted && jn.onContextMemuViaBuildStarted(accounts);
+			console.log('janet.contextMenu.buildViaMenu() is started.');
 			$().jeegoocontext('contextmenu-app', {
 				onShow: jn.contextMenu.onShowVia,
 				onSelect: jn.contextMenu.onSelectVia
@@ -806,6 +819,7 @@
 			draftItem.children('li').children('ul').remove();
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuDraftBuildStarted && jn.onContextMemuDraftBuildStarted(accounts);
+			console.log('janet.contextMenu.buildDraftMenu() is started.');
 			$().jeegoocontext('contextmenu-draft', {
 				onShow: jn.contextMenu.onShowDraft,
 				onSelect: jn.contextMenu.onSelectDraft
@@ -880,6 +894,7 @@
 		'buildTrendsMenu' : function(){
 			// メニュー項目の追加を行うためのエントリポイント
 			jn.onContextMemuTrendsBuildStarted && jn.onContextMemuTrendsBuildStarted();
+			console.log('janet.contextMenu.buildTrendsMenu() is started.');
 			if(jn.accounts.length){
 				jn.getTrends(jn.accounts[0].juid, jn.temp.woeid, function(success, data){
 					if(success && data[0] && data[0].trends && data[0].trends.length){
diff -u -r Common.orig/js/janet/janet.js Common/js/janet/janet.js
--- Common.orig/js/janet/janet.js	2012-11-22 21:32:48.000000000 +0900
+++ Common/js/janet/janet.js	2012-11-23 02:35:17.000000000 +0900
@@ -378,6 +378,7 @@
 		pluginLoad: function(forced){
 			if(forced || !this.temp.pluginLoaded){
 				console.command && console.command('pluginLoad');
+				console.log('janet.pluginLoad() is done.');
 				this.temp.pluginLoaded = true;
 			}
 		},
diff -u -r Common.orig/js/janet/main.js Common/js/janet/main.js
--- Common.orig/js/janet/main.js	2012-11-22 21:32:48.000000000 +0900
+++ Common/js/janet/main.js	2012-11-23 00:45:38.000000000 +0900
@@ -8,6 +8,7 @@
 		// スタート
 		//================================================
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.temp.started = true;
 		//各オブジェクト作成
 		jn.newlistdlg = new jn.newlistdialog();
@@ -105,6 +106,7 @@
 										jn.timelines = timelines;
 										jn.unreaderMgr.display();
 										jn.onInitializeDone && jn.onInitializeDone();
+										console.log('janet.onInitializeDone() is done.');
 										jn.temp.initialized = true;
 									});
 								}, true);
@@ -167,6 +169,7 @@
 						dummyImg.src = "../../Common/images/main_sprite.png";
 						//テーマ用
 						jn.onLoadEnd && jn.onLoadEnd();
+						console.log('janet.onLoadEnd() is done.');
 					}
 				});
 				jn.getTwConfig();
diff -u -r Common.orig/js/janet/timeline.js Common/js/janet/timeline.js
--- Common.orig/js/janet/timeline.js	2012-11-22 21:32:48.000000000 +0900
+++ Common/js/janet/timeline.js	2012-11-23 00:49:50.000000000 +0900
@@ -232,6 +232,7 @@
 		updateFromWebSocket: function(tweets){
 			var self = this;
 			if(this.firstGapUpdated && !this.update_lock){
+				console.log('janet.onReceiveNewStatusesBefore() is doing now.');
 				if(jn.onReceiveNewStatusesBefore && jn.onReceiveNewStatusesBefore(tweets))
 					return;
 				
@@ -293,6 +294,7 @@
 										self.restoreScrollPos(true, true);
 									}
 									jn.onReceiveNewStatusesAfter && jn.onReceiveNewStatusesAfter();
+									console.log('janet.onReceiveNewStatusesAfter() is done.');
 								};
 							}
 						}
diff -u -r Common.orig/js/janet/tweetedit.js Common/js/janet/tweetedit.js
--- Common.orig/js/janet/tweetedit.js	2012-11-22 21:32:48.000000000 +0900
+++ Common/js/janet/tweetedit.js	2012-11-23 00:52:51.000000000 +0900
@@ -324,6 +324,7 @@
 			var expanded = $('#tweet-edit-container > .expanded:visible');
 			
 			if(!expanded.length){
+				console.log('janet.onTweetBoxShowBegin() is doing now.');
 				if(jn.onTweetBoxShowBegin){
 					if(!jn.onTweetBoxShowBegin(expanded))
 						return;
@@ -354,6 +355,7 @@
 				textarea.focus();
 				
 				jn.onTweetBoxShowEnd && jn.onTweetBoxShowEnd(expanded);
+				console.log('janet.onTweetBoxShowEnd() is done.');
 			}
 		},
 		insertFooter: function(){
@@ -411,6 +413,7 @@
 							.find('textarea').val(text);
 						}
 						jn.onCompactTweetBox && jn.onCompactTweetBox();
+						console.og('jn.onCompactTweetBox() is done.');
 					}
 				},10);
 			}
@@ -813,6 +816,7 @@
 						self.compactTweetBox();
 						self.removeAllTweetPhotos();
 						jn.onTweeted && jn.onTweeted(jn.msg.successSendTweet);
+						console.log('janet.onTweeted() is done.');
 						var undo = null;
 						if(data.id_str && data.id_str.length){
 							undo = function(){
@@ -905,6 +909,7 @@
 						self.compactTweetBox();
 						self.removeAllTweetPhotos();
 						jn.onMessaged && jn.onMessaged(jn.msg.successSendMessage);
+						console.log('janet.onMessaged() is done.');
 						var undo = null;
 						if(data.id_str && data.id_str.length){
 							undo = function(){
@@ -1001,6 +1006,7 @@
 							jn.profileDialog.displayStatus(jn.msg.successSendRetweet);
 						}else{
 							jn.onRetweeted && jn.onRetweeted(jn.msg.successSendRetweet);
+							console.log('janet.onRetweeted() is done.');
 							jn.notice(jn.msg.successSendRetweet, null, function(){
 								self._removeTweet(juid, data.id_str);
 							});
diff -u -r Common.orig/notice/js/notice.js Common/notice/js/notice.js
--- Common.orig/notice/js/notice.js	2012-11-22 21:32:48.000000000 +0900
+++ Common/notice/js/notice.js	2012-11-23 00:57:15.000000000 +0900
@@ -23,6 +23,7 @@
 	$(function(){
 		jn.notice.suspended = jn.param.suspended;
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.temp.started = true;
 		jn.pluginLoad();
 		jn.webViewAction('hide');
@@ -31,6 +32,7 @@
 				nt.initialize();
 				changeConfig();
 				jn.onInitializeDone && jn.onInitializeDone();
+				console.log('janet.onInitializeDone() is done.');
 				jn.temp.initialized = true;
 			});
 		});
@@ -73,6 +75,7 @@
 		/**
 		 * 新着ツイート通知
 		 */
+		console.log('janet.onReceiveNewTweetsBefore() is doing now.');
 		if(jn.onReceiveNewTweetsBefore && jn.onReceiveNewTweetsBefore(data))
 			return;
 		
@@ -149,6 +152,7 @@
 		nt.display(timeline);
 		
 		jn.onReceiveNewTweetsAfter && jn.onReceiveNewTweetsAfter();
+		console.log('janet.onReceiveNewTweetsAfter() is done.');
 	};
 	nt.newTweetsGrowl = function(data, timeline){
 		//Growl通知or通知センターの場合
@@ -220,6 +224,7 @@
 		/**
 		 * イベント通知
 		 */
+		console.log('janet.onReceiveNewEventBefore() is doing now.');
 		if(jn.onReceiveNewEventBefore && jn.onReceiveNewEventBefore(data))
 			return;
 
@@ -267,6 +272,7 @@
 		nt.display(event_key);
 		
 		jn.onReceiveNewEventAfter && jn.onReceiveNewEventAfter();
+		console.log('janet.onReceiveNewEventAfter() is done.');
 	};
 	nt.newEventGrowl = function(data){
 		var isGrowl = jn.conf.notice_type == 'growl';
@@ -1232,6 +1238,7 @@
 			onShow: jn.contextMenu.onShowReplyDM,
 			onSelect: jn.contextMenu.onSelectReplyDM
 		});
+		console.log('janet.contextMenu.buildReplyDMMenu() is done.');
 	};
 	//------------------------------------------------
 	// メニュー表示非表示制御（DM返信）
diff -u -r Common.orig/profile/js/profile.js Common/profile/js/profile.js
--- Common.orig/profile/js/profile.js	2012-11-22 21:32:48.000000000 +0900
+++ Common/profile/js/profile.js	2012-11-23 00:57:48.000000000 +0900
@@ -35,6 +35,7 @@
 	//------------------------------------------------
 	$(function(){
 		jn.onInitialize && jn.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		jn.temp.started = true;
 		pf.dispLoading(true);
 		param.host = $.query.get('host') || param.host;
@@ -57,6 +58,7 @@
 								jn.buildContextMenu(accounts);
 								pf.initialize();
 								jn.onInitializeDone && jn.onInitializeDone();
+								console.log('janet.onInitializeDone() is done.');
 								jn.temp.initialized = true;
 							});
 						});
diff -u -r Common.orig/viewer/js/map.js Common/viewer/js/map.js
--- Common.orig/viewer/js/map.js	2012-11-22 21:32:48.000000000 +0900
+++ Common/viewer/js/map.js	2012-11-23 00:58:42.000000000 +0900
@@ -75,6 +75,7 @@
 								});
 							self.createMarker(map, results[0].geometry.location);
 							janet.onInitializeDone && janet.onInitializeDone();
+							console.log('janet.onInitializeDone() is done.');
 							janet.temp.initialized = true;
 						}else{
 							console.log('Geocode was not successful for the following reason: ' + status);
@@ -333,6 +334,7 @@
 //loading...
 $(function(){
 	janet.onInitialize && janet.onInitialize();
+	console.log('janet.onInitialize() is done.');
 	janet.temp.started = true;
 	janet.pluginLoad();
 	//クルクル表示
diff -u -r Common.orig/viewer/js/viewer.js Common/viewer/js/viewer.js
--- Common.orig/viewer/js/viewer.js	2012-11-22 21:32:48.000000000 +0900
+++ Common/viewer/js/viewer.js	2012-11-23 00:59:22.000000000 +0900
@@ -129,6 +129,7 @@
 			self.setEvent();
 			self.webViewAction('resize',{w: w, h: h});
 			janet.onInitializeDone && janet.onInitializeDone();
+			console.log('janet.onInitializeDone() is done.');
 			janet.temp.initialized = true;
 		}
 	},
@@ -304,6 +305,7 @@
 	var imageViewer = new jImageViewer();
 	jQuery(function($){
 		janet.onInitialize && janet.onInitialize();
+		console.log('janet.onInitialize() is done.');
 		janet.temp.started = true;
 		janet.pluginLoad();
 		imageViewer.start();
